Bug 132163 - JavaFX Project is not compiled
JavaFX Project is not compiled
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Unsupported
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Andrey Yamkovoy
issues@javafx
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-07 10:12 UTC by Alexandr Scherbatiy
Modified: 2011-10-19 12:01 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandr Scherbatiy 2008-04-07 10:12:55 UTC
NetBeans IDE Dev (Build 200804060002)
JavaFX Script plugin: 2008-04-07_02-32-38.zip

Steps to reproduce:

- Create a JavaFX Script project
- Copy the code to the main file:
---------------------------------------
import javafx.ui.*;

Frame{
    title: "Hello World!"
    visible: true
}
---------------------------------------

- Build the project
  There is NoClassDefFoundError in output:

java.lang.NoClassDefFoundError: com/sun/tools/javafx/Main
Caused by: java.lang.ClassNotFoundException: com.sun.tools.javafx.Main
        at java.net.URLClassLoader$1.run(URLClassLoader.java:200)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:307)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:289)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:252)
        at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:320)
Exception in thread "main"
Comment 1 ragnaroek 2008-04-07 15:49:45 UTC
Same for 2008-04-07_13-29-32 build:

java.lang.NoClassDefFoundError: com/sun/tools/javafx/Main
Caused by: java.lang.ClassNotFoundException: com.sun.tools.javafx.Main
        at java.net.URLClassLoader$1.run(URLClassLoader.java:200)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:276)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:251)
        at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:319)
Exception in thread "main" 
Comment 2 Andrey Yamkovoy 2008-04-07 16:36:18 UTC
The problem is reproducible when there is a blank symbol(s) in the classpath. In other words project build failed when
path to the NB contain blank symbol(s).
Comment 3 Alexei Mokeev 2008-04-08 07:12:45 UTC
Is this kind of "space in path" problem ? 
Comment 4 Andrey Yamkovoy 2008-04-08 09:48:12 UTC
Yes. Spaces in path to the NB directory.
Comment 5 Andrey Yamkovoy 2008-04-14 15:55:57 UTC
Looks like was fixed in the compiler.
No more reproducible in the IDE.
Comment 6 Alexandr Scherbatiy 2008-04-15 13:15:10 UTC
verified
Comment 7 David Strupl 2011-10-19 12:01:55 UTC
Cleaning bugzilla categories ....


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo